Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2087233003: Roll src/third_party/libvpx/source/libvpx/ 181988d37..243029faf (45 commits). (Closed)

Created:
2 years, 9 months ago by Nico
Modified:
2 years, 9 months ago
Reviewers:
wwcv, Johann
CC:
chromium-reviews, wwcv, jzern, fgalligan1, Tom Finegan
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Roll src/third_party/libvpx/source/libvpx/ 181988d37..243029faf (45 commits). https://chromium.googlesource.com/webm/libvpx.git/+log/181988d37273..243029faff45 $ git log 181988d37..243029faf --date=short --no-merges --format='%ad %ae %s' 2016-06-22 thakis win: Include <intrin.h> instead of manually declaring intrinsics. 2016-06-22 yaowu Prevent negative variance 2016-06-20 yaowu Fix ubsan warnings: vp9/encoder/vp9_mcomp.c 2016-06-15 huisu Add a hardware compatibility feature 2016-06-20 yaowu Make type conversion explicit 2016-06-19 johannkoenig Fix iosbuild.sh: outdated reference to ios-version.sh 2016-06-18 jzern realtime_test: remove decoded frame count check 2016-06-17 jingning Refactor optimize_b for speed performance 2016-06-17 jingning Port optimize_b speed-up from vp10 2016-06-17 yaowu Fix ubsan warning: vp9/encoder/vp9_encodeframe.c 2016-06-17 jingning Use 64-bit integer to store distortion in optimize_b 2016-06-17 johannkoenig Configuration: Use 'is_in' instead of echo | grep 2016-06-10 johannkoenig Parse codec options in order of occurrence. 2016-06-15 tomfinegan Disable neon for Xcode versions < v6.3. 2016-06-17 gezalore Fix warnings from gtest under GCC 5 or newer. 2016-06-15 tomfinegan Output frames in first pass for VPX_DL_REALTIME. 2016-06-17 yaowu Fix ubsan warnings: vp9/encoder/vp9_encoder.c 2016-06-16 johannkoenig Remove ios-version.sh 2016-06-13 johannkoenig vp8_[cd]x_iface.c: Initialize structures to 0 2016-06-13 johannkoenig VP8_COMP: make frames_since_golden signed (...) R=johannkoenig@chromium.org BUG=592745 Committed: https://crrev.com/c03d07eb1deef9057e14ad26ee26adb1f7be2362 Cr-Commit-Position: refs/heads/master@{#401411}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -9 lines) Patch
M DEPS View 1 chunk +1 line, -1 line 0 comments Download
M third_party/libvpx/README.chromium View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/libvpx/source/config/linux/arm-neon-cpu-detect/vpx_dsp_rtcd.h View 2 chunks +4 lines, -1 line 0 comments Download
M third_party/libvpx/source/config/linux/arm-neon/vpx_dsp_rtcd.h View 1 chunk +2 lines, -1 line 0 comments Download
M third_party/libvpx/source/config/linux/arm64/vpx_dsp_rtcd.h View 1 chunk +2 lines, -1 line 0 comments Download
M third_party/libvpx/source/config/vpx_version.h View 1 chunk +3 lines, -3 lines 0 comments Download

Messages

Total messages: 8 (3 generated)
Nico
2 years, 9 months ago (2016-06-22 19:43:48 UTC) #1
Johann
LGTM
2 years, 9 months ago (2016-06-22 19:46:17 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2087233003/1
2 years, 9 months ago (2016-06-22 19:47:57 UTC) #5
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 9 months ago (2016-06-22 21:27:51 UTC) #6
commit-bot: I haz the power
2 years, 9 months ago (2016-06-22 21:30:52 UTC) #8
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/c03d07eb1deef9057e14ad26ee26adb1f7be2362
Cr-Commit-Position: refs/heads/master@{#401411}

Powered by Google App Engine
This is Rietveld 408576698